Bug 4802 - Swedish country code is SE not SV
Swedish country code is SE not SV
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Localization
2.3.3
PC Linux
: P5 trivial
Assigned To: James MacGregor
Depends on:
Blocks: 5037
  Show dependency treegraph
 
Reported: 2009-10-08 05:00 PDT by Tom Christensen
Modified: 2010-01-17 19:42 PST (History)
3 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
patch 1 against ojs2-devel (544.97 KB, patch)
2010-01-17 16:24 PST, James MacGregor
Details | Diff
patch 2 against ojs2-devel (623.72 KB, patch)
2010-01-17 16:24 PST, James MacGregor
Details | Diff
patch against ojs2-stable (238.03 KB, patch)
2010-01-17 19:39 PST, James MacGregor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Christensen 2009-10-08 05:00:59 PDT
For some reason the Swedish translation has been added as sv_SV instead of sv_SE which is the official designation according to ISO639-1/ISO3166.

For reference on official language and country codes please see these links:
ISO639-1,2,3: http://www.sil.org/iso639-3/codes.asp?order=reference_name
ISO3166: http://www.iso.org/iso/english_country_names_and_code_elements
Comment 1 James MacGregor 2009-10-08 08:28:35 PDT
Thanks Tom, this would be my fault. I'll fix in the near future.
Comment 2 Alec Smecher 2009-12-04 14:41:08 PST
James, have you had a chance to look at this one? If not, I suggest deferring to 2.3.2.
Comment 3 James MacGregor 2009-12-06 13:50:12 PST
Hey Alec, I've also received a bunch of separate files and key changes from Co-action that will take some time to go through and fold in; I'm happy deferring this one.
Comment 4 James MacGregor 2010-01-17 16:24:04 PST
Created attachment 2886 [details]
patch 1 against ojs2-devel

Patch #1 (had to split the orginal in half because the file was too big to upload!) This patch includes updates to locale/sv_SE/locale.xml from co-action (also mentioned in Bug 5037), and moves all files from sv_SV to sv_SE. Alec, I have a couple of questions/assertions needing confirmation: 

1) I can't remove empty directories from CVS myself, correct? That is, there'll be a history of sv_SV in the repository from now on, even though the dirs are empty. (I can of course clean my locale copy by doing cvs update -P). 

2) I don't need to create a dbscripts/xml/data/locale/sv_SE dir for anything, right? 

I'll commit these in a couple of minutes, after which I will work on Bug 5037.
Comment 5 James MacGregor 2010-01-17 16:24:36 PST
Created attachment 2887 [details]
patch 2 against ojs2-devel
Comment 6 James MacGregor 2010-01-17 16:28:02 PST
Committed.
Comment 7 James MacGregor 2010-01-17 16:43:27 PST
This should also be committed against ojs2-devel, if only for the locale file-splitting portion of Bug 5037.
Comment 8 James MacGregor 2010-01-17 19:39:52 PST
Created attachment 2888 [details]
patch against ojs2-stable

Patch against ojs2-stable.